
Redmine - Patch #1743

Don't display 'show_diff' button on wiki's history page if there is only 1 version

2008-08-04 16:47 - Chaoqun Zou

Status: Closed Start date: 2008-08-04

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 100%

Category: UI Estimated time: 0.00 hour

Target version: 0.8   

Description

On wiki's history page, if there is only 1 version, the radio buttons are hided but the show_diff button is still displayed.

To change this, modify the views\wiki\hisory.rhtml at line 33:

<%= submit_tag l(:label_view_diff), :class => 'small' %>

to:

<%= submit_tag l(:label_view_diff), :class => 'small' if show_diff %>

Associated revisions

Revision 1749 - 2008-08-20 07:09 - Eric Davis

Hiding the View Differences button when a wiki page's history only has one version.

Patch contributed by Chaoqun Zou (#1743)

History

#1 - 2008-08-20 07:06 - Eric Davis

- Status changed from New to Resolved

- Assignee set to Eric Davis

- Target version set to 0.8

- % Done changed from 0 to 100

I've applied your patch along with a test in r1749.  Thank you for your contribution.

#2 - 2008-08-25 16:32 - Jean-Philippe Lang

- Status changed from Resolved to Closed
